Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

instal linux-image et linux-headers

Forum français des utilisateurs Mepis
Message
Author
tradonal
Forum Novice
Forum  Novice
Posts: 76
Joined: Mon Sep 25, 2017 11:43 am

Re: instal linux-image et linux-headers

#11 Post by tradonal » Fri Jun 08, 2018 2:32 pm

;)
J'ai tjs des erreurs :confused:
Exemple:
-) Je commence par un

Code: Select all

root@mx1:/
# aptitude update 
-) Ensuite, pour voir les noyaux disponibles

Code: Select all

root@mx1:/
# apt-cache search linux-image
linux-image-3.7.10-antix.7-pae - Linux kernel, version 3.7.10-antix.7-pae
linux-image-3.7.10-antix.8-486-smp - Linux kernel, version 3.7.10-antix.8-486-smp
linux-image-3.7.10-gnu-antix.5-486-smp - Linux kernel, version 3.7.10-gnu-antix.5-486-smp
linux-image-4.4.10-antix.1-486-smp - Linux kernel, version 4.4.10-antix.1-486-smp
linux-image-4.4.10-antix.1-686-smp-pae - Linux kernel, version 4.4.10-antix.1-686-smp-pae
linux-image-4.4.10-gnu-antix.1-486-smp - Linux kernel, version 4.4.10-gnu-antix.1-486-smp
linux-image-4.4.10-gnu-antix.1-686-smp-pae - Linux kernel, version 4.4.10-gnu-antix.1-686-smp-pae
linux-image-4.4.109-antix.1-486-smp - Linux kernel, version 4.4.109-antix.1-486-smp
linux-image-4.4.109-antix.1-686-smp-pae - Linux kernel, version 4.4.109-antix.1-686-smp-pae
linux-image-4.4.125-antix.1-486-smp - Linux kernel, version 4.4.125-antix.1-486-smp
linux-image-4.4.125-antix.1-686-smp-pae - Linux kernel, version 4.4.125-antix.1-686-smp-pae
linux-image-4.4.132-antix.1-486-smp - Linux kernel, version 4.4.132-antix.1-486-smp
linux-image-4.4.132-antix.1-686-smp-pae - Linux kernel, version 4.4.132-antix.1-686-smp-pae
linux-image-4.4.134-antix.1-486-smp - Linux kernel, version 4.4.134-antix.1-486-smp
linux-image-4.4.134-antix.1-686-smp-pae - Linux kernel, version 4.4.134-antix.1-686-smp-pae
linux-image-4.9.75-antix.2-486-smp - Linux kernel, version 4.9.75-antix.2-486-smp
linux-image-4.9.75-antix.2-686-smp-pae - Linux kernel, version 4.9.75-antix.2-686-smp-pae
linux-image-4.9.77-antix.1-486-smp - Linux kernel, version 4.9.77-antix.1-486-smp
linux-image-4.9.77-antix.1-686-smp-pae - Linux kernel, version 4.9.77-antix.1-686-smp-pae
linux-image-4.9.79-antix.1-486-smp - Linux kernel, version 4.9.79-antix.1-486-smp
linux-image-4.9.79-antix.1-686-smp-pae - Linux kernel, version 4.9.79-antix.1-686-smp-pae
linux-image-4.9.81-antix.1-486-smp - Linux kernel, version 4.9.81-antix.1-486-smp
linux-image-4.9.81-antix.1-686-smp-pae - Linux kernel, version 4.9.81-antix.1-686-smp-pae
linux-image-4.9.82-antix.1-486-smp - Linux kernel, version 4.9.82-antix.1-486-smp
linux-image-4.9.82-antix.1-686-smp-pae - Linux kernel, version 4.9.82-antix.1-686-smp-pae
linux-image-4.9.83-antix.1-486-smp - Linux kernel, version 4.9.83-antix.1-486-smp
linux-image-4.9.83-antix.1-686-smp-pae - Linux kernel, version 4.9.83-antix.1-686-smp-pae
linux-image-4.9.87-antix.1-486-smp - Linux kernel, version 4.9.87-antix.1-486-smp
linux-image-4.9.87-antix.1-686-smp-pae - Linux kernel, version 4.9.87-antix.1-686-smp-pae
linux-image-4.9.91-antix.1-486-smp - Linux kernel, version 4.9.91-antix.1-486-smp
linux-image-4.9.91-antix.1-686-smp-pae - Linux kernel, version 4.9.91-antix.1-686-smp-pae
linux-headers-3.16.0-4-586 - Header files for Linux 3.16.0-4-586
linux-headers-3.16.0-4-686-pae - Header files for Linux 3.16.0-4-686-pae
linux-headers-3.16.0-4-amd64 - Header files for Linux 3.16.0-4-amd64
linux-image-3.16.0-4-586 - Linux 3.16 for older PCs
linux-image-3.16.0-4-686-pae - Linux 3.16 for modern PCs
linux-image-3.16.0-4-686-pae-dbg - Debugging symbols for Linux 3.16.0-4-686-pae
linux-image-3.16.0-4-amd64 - Linux 3.16 for 64-bit PCs
linux-image-486 - Linux for older PCs (dummy package)
linux-image-586 - Linux for older PCs (meta-package)
linux-image-686-pae-dbg - Debugging symbols for Linux 686-pae configuration (meta-package)
linux-image-amd64 - Linux for 64-bit PCs (meta-package)
linux-image-686-pae - Linux pour PC modernes - métapaquet
nvidia-kernel-3.16.0-4-586 - NVIDIA binary kernel module for Linux 3.16.0-4-586
nvidia-kernel-3.16.0-4-686-pae - NVIDIA binary kernel module for Linux 3.16.0-4-686-pae
nvidia-kernel-3.16.0-4-amd64 - NVIDIA binary kernel module for Linux 3.16.0-4-amd64
linux-headers-3.16.0-5-586 - Header files for Linux 3.16.0-5-586
linux-headers-3.16.0-5-686-pae - Header files for Linux 3.16.0-5-686-pae
linux-headers-3.16.0-5-amd64 - Header files for Linux 3.16.0-5-amd64
linux-headers-3.16.0-6-586 - Header files for Linux 3.16.0-6-586
linux-headers-3.16.0-6-686-pae - Header files for Linux 3.16.0-6-686-pae
linux-headers-3.16.0-6-amd64 - Header files for Linux 3.16.0-6-amd64
linux-image-3.16.0-5-586 - Linux 3.16 for older PCs
linux-image-3.16.0-5-686-pae - Linux 3.16 for modern PCs
linux-image-3.16.0-5-686-pae-dbg - Debugging symbols for Linux 3.16.0-5-686-pae
linux-image-3.16.0-5-amd64 - Linux 3.16 for 64-bit PCs
linux-image-3.16.0-6-586 - Linux 3.16 for older PCs
linux-image-3.16.0-6-686-pae - Linux 3.16 for modern PCs
linux-image-3.16.0-6-686-pae-dbg - Debugging symbols for Linux 3.16.0-6-686-pae
linux-image-3.16.0-6-amd64 - Linux 3.16 for 64-bit PCs
linux-headers-4.7.0-7.1-liquorix-686 - Header files for Linux 4.7.0-7.1-liquorix-686
linux-headers-4.7.0-7.1-liquorix-686-pae - Header files for Linux 4.7.0-7.1-liquorix-686-pae
linux-headers-4.8.0-2.1-liquorix-686 - Header files for Linux 4.8.0-2.1-liquorix-686
linux-headers-4.8.0-2.1-liquorix-686-pae - Header files for Linux 4.8.0-2.1-liquorix-686-pae
linux-image-4.7.0-7.1-liquorix-686 - Linux 4.7 for modern PCs
linux-image-4.7.0-7.1-liquorix-686-pae - Linux 4.7 for modern PCs
linux-image-4.8.0-2.1-liquorix-686 - Linux 4.8 for modern PCs
linux-image-4.8.0-2.1-liquorix-686-pae - Linux 4.8 for modern PCs
linux-image-liquorix-686 - Linux image for liquorix on modern PCs
linux-image-liquorix-686-pae - Linux image for liquorix on modern PCs
-) Je choisis d’installer linux-image-3.16.0-6-586

Code: Select all

root@mx1:/
# apt-cache search linux-image-3.16.0-6-586
linux-headers-3.16.0-6-586 - Header files for Linux 3.16.0-6-586
linux-image-3.16.0-6-586 - Linux 3.16 for older PCs


-) Je le fait comme ceci

Code: Select all

root@mx1:/
# aptitude install linux-image-3.16.0-6-586
root@mx1:/
# aptitude install linux-image-3.16.0-6-586
Les NOUVEAUX paquets suivants vont être installés :
linux-image-3.16.0-6-586
0 paquets mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 33,5 Mo d'archives. Après dépaquetage, 123 Mo seront utilisés.
Prendre : 1 http://security.debian.org/ jessie/updates/main linux-image-3.16.0-6-586 i386 3.16.56-1+deb8u1 [33,5 MB]
33,5 Mo téléchargés en 23s (1.421 ko/s)
Préconfiguration des paquets...
Sélection du paquet linux-image-3.16.0-6-586 précédemment désélectionné.
(Lecture de la base de données... 278074 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../linux-image-3.16.0-6-586_3.16.56-1+deb8u1_i386.deb ...
Dépaquetage de linux-image-3.16.0-6-586 (3.16.56-1+deb8u1) ...
Paramétrage de linux-image-3.16.0-6-586 (3.16.56-1+deb8u1) ...
/etc/kernel/postinst.d/dkms:
Error! Error! echo
Your kernel headers for kernel 3.16.0-6-586 cannot be found at
/lib/modules/3.16.0-6-586/build or /lib/modules/3.16.0-6-586/source.
echo
Your kernel headers for kernel 3.16.0-6-586 cannot be found at
/lib/modules/3.16.0-6-586/build or /lib/modules/3.16.0-6-586/source.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-3.16.0-6-586
cryptsetup: WARNING: failed to detect canonical device of /dev/sda2
live-boot: core filesystems devices utils memdisk udev wget blockdev.
/etc/kernel/postinst.d/zz-update-grub:
Création du fichier de configuration GRUB…
Image Linux trouvée : /boot/vmlinuz-3.16.0-6-586
Image mémoire initiale trouvée : /boot/initrd.img-3.16.0-6-586
Image Linux trouvée : /boot/vmlinuz-3.16.0-4-686-pae
Image mémoire initiale trouvée : /boot/initrd.img-3.16.0-4-686-pae
Image Linux trouvée : /boot/vmlinuz-3.16.0-4-586
Image mémoire initiale trouvée : /boot/initrd.img-3.16.0-4-586
Found memtest86+ image: /boot/memtest86+.bin
Found memtest86+ multiboot image: /boot/memtest86+_multiboot.bin
fait
-) J'ai bien ceci dans /boot

Code: Select all

root@mx1:/
# ls /boot/ |grep 3.16.0-6-586
config-3.16.0-6-586
initrd.img-3.16.0-6-586
System.map-3.16.0-6-586
vmlinuz-3.16.0-6-586
-) et bien une entrée dans grub.cfg

Code: Select all

root@mx1:/
# grep 3.16.0-6-586 /boot/grub/grub.cfg 
	echo	'Chargement de Linux 3.16.0-6-586…'
	linux	/boot/vmlinuz-3.16.0-6-586 root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro  quiet
	initrd	/boot/initrd.img-3.16.0-6-586
	menuentry 'MX GNU/Linux, avec Linux 3.16.0-6-586' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
		echo	'Chargement de Linux 3.16.0-6-586…'
		linux	/boot/vmlinuz-3.16.0-6-586 root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro  quiet
		initrd	/boot/initrd.img-3.16.0-6-586
	menuentry 'MX GNU/Linux, with Linux 3.16.0-6-586 (sysvinit)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-init-sysvinit-2630b494-8ca2-4672-bae9-fa29b58ab472' {
		echo	'Chargement de Linux 3.16.0-6-586…'
		linux	/boot/vmlinuz-3.16.0-6-586 root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro  quiet init=/lib/sysvinit/init
		initrd	/boot/initrd.img-3.16.0-6-586
	menuentry 'MX GNU/Linux, with Linux 3.16.0-6-586 (systemd)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-init-systemd-2630b494-8ca2-4672-bae9-fa29b58ab472' {
		echo	'Chargement de Linux 3.16.0-6-586…'
		linux	/boot/vmlinuz-3.16.0-6-586 root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro  quiet init=/lib/systemd/systemd
		initrd	/boot/initrd.img-3.16.0-6-586
Question ?
Comment comprendre ceci, je lit bien le message, mais pourquoi l'installation des headers ne se fait elle pas ?

Code: Select all

/etc/kernel/postinst.d/dkms:
Error! Error! echo
Your kernel headers for kernel 3.16.0-6-586 cannot be found at
/lib/modules/3.16.0-6-586/build or /lib/modules/3.16.0-6-586/source.
echo
Your kernel headers for kernel 3.16.0-6-586 cannot be found at
/lib/modules/3.16.0-6-586/build or /lib/modules/3.16.0-6-586/source.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-3.16.0-6-586
cryptsetup: WARNING: failed to detect canonical device of /dev/sda2
live-boot: core filesystems devices utils memdisk udev wget blockdev.
root@mx1:/
# apt search linux-image-3.16.0-6-586
En train de trier... Fait
Recherche en texte intégral... Fait
linux-headers-3.16.0-6-586/oldstable 3.16.56-1+deb8u1 i386
Header files for Linux 3.16.0-6-586

linux-image-3.16.0-6-586/oldstable,now 3.16.56-1+deb8u1 i386 [installé]
Linux 3.16 for older PCs
merci

EDIT
Je reboot sur le kernel installé
menuentry 'MX GNU/Linux, with Linux 3.16.0-6-586
-) si je veux installer linux-headers, j'ai cette ligne qui me bloque ???
Elle correspond au noyau principale que j'utilise....
Les paquets suivants seront ENLEVÉS :
linux-headers-3.16.0-4-586{u}
root@mx1:/
# aptitude -s install linux-headers-$(uname -r)
Les NOUVEAUX paquets suivants vont être installés :
linux-compiler-gcc-4.9-x86{a} linux-headers-3.16.0-6-586 linux-headers-3.16.0-6-common{a}
Les paquets suivants seront ENLEVÉS :
linux-headers-3.16.0-4-586{u}
0 paquets mis à jour, 3 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 5.407 ko d'archives. Après dépaquetage, 23,0 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?]
Que signifie cela ???
Je comprend bien que Les paquets suivants seront ENLEVÉS ....
Mais pourquoi cela ???

Merci

User avatar
cyrilus31
Forum Regular
Forum Regular
Posts: 546
Joined: Thu Nov 03, 2016 3:24 pm

Re: instal linux-image et linux-headers

#12 Post by cyrilus31 » Mon Jun 11, 2018 9:34 am

Je ne sais pas pourquoi il veut supprimer le paquet en question.
Ceci étant ça ne me parait pas gênant vu que tu as basculé sur le noyau 3.16.0-6
Peut-être que quelqu'un d'autre pourra t'éclairer.

User avatar
oops
Forum Regular
Forum Regular
Posts: 207
Joined: Tue Apr 10, 2018 5:07 pm

Re: instal linux-image et linux-headers

#13 Post by oops » Mon Jun 11, 2018 11:52 am

Bonjour,
Je ne sais pas non plus (il faudrait faire un test avec un autre, mais pourquoi vouloir installer un vieux noyau ? (3.16.0-6) même dans cette version aujourd'hui c'est la : longterm: 3.16.56 2018-03-19 (avec corrections des bugs et failles des microcodes , "normalement").

Sinon, mieux vaut ne pas mélanger les commandes aptitude et apt-get (synaptic) , ça peut générer des problèmes à la longue, les deux ne gérant pas les dépendances de la même manière. il faudrait faire un test avec apt-get, peut-être?
# aptitude install linux-image-3.16.0-6-586
# apt-get install linux-image-3.16.0-6-586
$ inxi -S : System: Host:XEON Kernel: 4.16.0-xeon-01.efi x86_64 bits: 64 Desktop: Xfce 4.12.3 - Distro: MX-17.1_x64 Horizon


tradonal
Forum Novice
Forum  Novice
Posts: 76
Joined: Mon Sep 25, 2017 11:43 am

Re: instal linux-image et linux-headers

#14 Post by tradonal » Tue Jun 12, 2018 5:45 pm

cyrilus31 wrote:
Mon Jun 11, 2018 9:34 am
Je ne sais pas pourquoi il veut supprimer le paquet en question.
Ceci étant ça ne me parait pas gênant vu que tu as basculé sur le noyau 3.16.0-6
Peut-être que quelqu'un d'autre pourra t'éclairer.
;)
Merci pour le retour,
oops wrote:
Mon Jun 11, 2018 11:52 am
Bonjour,
Je ne sais pas non plus (il faudrait faire un test avec un autre, mais pourquoi vouloir installer un vieux noyau ? (3.16.0-6) même dans cette version aujourd'hui c'est la : longterm: 3.16.56 2018-03-19 (avec corrections des bugs et failles des microcodes , "normalement").

Sinon, mieux vaut ne pas mélanger les commandes aptitude et apt-get (synaptic) , ça peut générer des problèmes à la longue, les deux ne gérant pas les dépendances de la même manière. il faudrait faire un test avec apt-get, peut-être?
# aptitude install linux-image-3.16.0-6-586
# apt-get install linux-image-3.16.0-6-586
;)
Réponses a vous deux... :hitmyhead:
Je ne sais pas pourquoi il veut supprimer le paquet en question.
Moi non plus.... :frown:
Par exemple:
-) Je suis dans cette situation au moment ou je poste ce message, c'est a dire
Boot sur la menuentry Linux 3.16.0-4-686-pae (systemd)
menuentry 'MX GNU/Linux, with Linux 3.16.0-4-686-pae (systemd)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-686-pae-init-systemd-2630b494-8ca2-4672-bae9-fa29b58ab472' {
echo 'Chargement de Linux 3.16.0-4-686-pae…'
linux /boot/vmlinuz-3.16.0-4-686-pae root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro quiet init=/lib/systemd/systemd
initrd /boot/initrd.img-3.16.0-4-686-pae

Code: Select all

# cat /proc/version 
Linux version 3.16.0-4-686-pae (debian-kernel@lists.debian.org) (gcc version 4.8.4 (Debian 4.8.4-1) ) #1 SMP Debian 3.16.51-3 (2017-12-13)
Ensuite, utilisations de apt-get et aptitude pour voir....
-) Avec apt-get

Code: Select all

# apt-get update 
Réception de : 1 http://ftp.be.debian.org jessie-updates InRelease [145 kB]
Ign http://nl.mxrepo.com jessie InRelease
Ign http://nl.mxrepo.com mx15 InRelease
Ign http://nl.mxrepo.com mx16 InRelease
Atteint http://nl.mxrepo.com jessie Release.gpg
Ign http://ftp.be.debian.org jessie InRelease
Réception de : 2 http://security.debian.org jessie/updates InRelease [94,4 kB]
Atteint http://ftp.be.debian.org jessie Release.gpg
Réception de : 3 http://nl.mxrepo.com mx15 Release.gpg [213 B]
Atteint http://ftp.be.debian.org jessie Release
Atteint http://nl.mxrepo.com mx16 Release.gpg
Atteint http://nl.mxrepo.com jessie Release
Réception de : 4 http://nl.mxrepo.com mx15 Release [7.596 B]
Atteint http://nl.mxrepo.com mx16 Release
Réception de : 5 http://ftp.be.debian.org jessie-updates/main i386 Packages/DiffIndex [11,8 kB]
Atteint http://ftp.be.debian.org jessie-updates/contrib i386 Packages
Réception de : 6 http://ftp.be.debian.org jessie-updates/non-free i386 Packages/DiffIndex [736 B]
Atteint http://ftp.be.debian.org jessie-updates/contrib Translation-en
Réception de : 7 http://ftp.be.debian.org jessie-updates/main Translation-en/DiffIndex [3.688 B]
Réception de : 8 http://ftp.be.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Atteint http://ftp.be.debian.org jessie/main i386 Packages
Atteint http://ftp.be.debian.org jessie/contrib i386 Packages
Atteint http://ftp.be.debian.org jessie/non-free i386 Packages
Atteint http://ftp.be.debian.org jessie/contrib Translation-en
Atteint http://ftp.be.debian.org jessie/main Translation-fr
Atteint http://ftp.be.debian.org jessie/main Translation-en
Atteint http://ftp.be.debian.org jessie/non-free Translation-en
Atteint http://nl.mxrepo.com jessie/main i386 Packages
Ign http://nl.mxrepo.com jessie/main Translation-fr_BE
Ign http://nl.mxrepo.com jessie/main Translation-fr
Ign http://nl.mxrepo.com jessie/main Translation-en
Atteint http://nl.mxrepo.com mx15/main i386 Packages
Réception de : 9 http://nl.mxrepo.com mx15/non-free i386 Packages [40,2 kB]
Atteint http://nl.mxrepo.com mx16/non-free i386 Packages
Atteint http://nl.mxrepo.com mx16/main i386 Packages
Réception de : 10 http://security.debian.org jessie/updates/main i386 Packages [494 kB]
Ign http://nl.mxrepo.com mx15/main Translation-fr_BE
Ign http://nl.mxrepo.com mx15/main Translation-fr
Atteint http://security.debian.org jessie/updates/contrib i386 Packages
Ign http://nl.mxrepo.com mx15/main Translation-en
Ign http://nl.mxrepo.com mx15/non-free Translation-fr_BE
Ign http://nl.mxrepo.com mx15/non-free Translation-fr
Atteint http://security.debian.org jessie/updates/non-free i386 Packages
Ign http://nl.mxrepo.com mx15/non-free Translation-en
Ign http://nl.mxrepo.com mx16/main Translation-fr_BE
Ign http://nl.mxrepo.com mx16/main Translation-fr
Atteint http://security.debian.org jessie/updates/contrib Translation-en
Ign http://nl.mxrepo.com mx16/main Translation-en
Ign http://nl.mxrepo.com mx16/non-free Translation-fr_BE
Ign http://nl.mxrepo.com mx16/non-free Translation-fr
Atteint http://security.debian.org jessie/updates/main Translation-en
Ign http://nl.mxrepo.com mx16/non-free Translation-en
Atteint http://security.debian.org jessie/updates/non-free Translation-en
799 ko réceptionnés en 9s (88,2 ko/s)
Lecture des listes de paquets... Fait

Code: Select all

# apt-get -s upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour...Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
linux-image-3.16.0-4-686-pae
Veuillez utiliser « apt-get autoremove » pour le supprimer.

Fait
Les paquets suivants seront mis à jour :
libperl5.20 perl perl-base perl-modules
4 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst libperl5.20 [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl-base [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Conf perl-base (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl-modules [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [all])
Conf libperl5.20 (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386])
Conf perl-modules (5.20.2-3+deb8u11 Debian-Security:8/oldstable [all])
Conf perl (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386])

Code: Select all

# apt-get -s dist-upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
linux-image-3.16.0-4-686-pae
Veuillez utiliser « apt-get autoremove » pour le supprimer.

Fait
Les paquets suivants seront mis à jour :
libperl5.20 perl perl-base perl-modules
4 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst libperl5.20 [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl-base [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Conf perl-base (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386]) []
Inst perl-modules [5.20.2-3+deb8u10] (5.20.2-3+deb8u11 Debian-Security:8/oldstable [all])
Conf libperl5.20 (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386])
Conf perl-modules (5.20.2-3+deb8u11 Debian-Security:8/oldstable [all])
Conf perl (5.20.2-3+deb8u11 Debian-Security:8/oldstable [i386])

-) Même procédure avec aptitude

Code: Select all

# aptitude -s upgrade 
Les paquets suivants seront mis à jour :
libperl5.20 perl perl-base perl-modules
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
libarchive-extract-perl libcgi-pm-perl libmodule-build-perl libmodule-pluggable-perl
libpackage-constants-perl libpod-latex-perl libterm-ui-perl libtext-soundex-perl rename
4 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6.736 ko d'archives. Après dépaquetage, 2.048 o seront utilisés.
Voulez-vous continuer ? [Y/n/?] n
Abandon.

Code: Select all

# aptitude -s dist-upgrade 
Les paquets suivants seront mis à jour :
libperl5.20 perl perl-base perl-modules
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
libarchive-extract-perl libcgi-pm-perl libmodule-build-perl libmodule-pluggable-perl
libpackage-constants-perl libpod-latex-perl libterm-ui-perl libtext-soundex-perl rename
4 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6.736 ko d'archives. Après dépaquetage, 2.048 o seront utilisés.
Voulez-vous continuer ? [Y/n/?] n
Abandon.
?? que conclure de cela ??
-) apt-get propose un autoremove du paquet linux-image-3.16.0-4-686-pae alors que c'est le noyau en cours d'utilisation, il me semble que j'avais lu un sujet qui disait que " le apt-get autoremove etait dangereux et source d’ennui"....
-) Pour aptitude c'est différend...
....
mais pourquoi vouloir installer un vieux noyau ?
En fait, j'ai abandonné complètement MS pour Linux depuis déja quelques années, et j'avoue que j'ai tjs du mal a comprendre certaines chose comme par exemples les versions de noyaux ....
Pour moi je pensais que 3.16.0-6 était plus récent que 3.16.0-5.... 6 plus haut que 5... :confused:


EDIT
il faudrait faire un test avec apt-get, peut-être?
# aptitude install linux-image-3.16.0-6-586
# apt-get install linux-image-3.16.0-6-586

Code: Select all

root@mx1:/
# aptitude -s install linux-image-3.16.0-6-586 
Aucun paquet ne va être installé, mis à jour ou enlevé. 
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 4 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.
Charger/installer/enlever des paquets.
root@mx1:/

# apt-get -s  install linux-image-3.16.0-6-586 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-image-3.16.0-6-586 est déjà la plus récente version disponible.
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  linux-image-3.16.0-4-686-pae
Veuillez utiliser « apt-get autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 4 non mis à jour.
root@mx1:/

# apt-get -s  install linux-headers-3.16.0-6-586 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  linux-image-3.16.0-4-686-pae
Veuillez utiliser « apt-get autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés : 
  linux-compiler-gcc-4.9-x86 linux-headers-3.16.0-6-common
Les NOUVEAUX paquets suivants seront installés :
  linux-compiler-gcc-4.9-x86 linux-headers-3.16.0-6-586 linux-headers-3.16.0-6-common
0 mis à jour, 3 nouvellement installés, 0 à enlever et 4 non mis à jour.
Inst linux-compiler-gcc-4.9-x86 (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
Inst linux-headers-3.16.0-6-common (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
Inst linux-headers-3.16.0-6-586 (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
Conf linux-compiler-gcc-4.9-x86 (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
Conf linux-headers-3.16.0-6-common (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
Conf linux-headers-3.16.0-6-586 (3.16.56-1+deb8u1 Debian-Security:8/oldstable [i386])
root@mx1:/

# aptitude -s install linux-headers-3.16.0-6-586 
Les NOUVEAUX paquets suivants vont être installés :     
  linux-compiler-gcc-4.9-x86{a} linux-headers-3.16.0-6-586 linux-headers-3.16.0-6-common{a} 
0 paquets mis à jour, 3 nouvellement installés, 0 à enlever et 4 non mis à jour.
Il est nécessaire de télécharger 5.407 ko d'archives. Après dépaquetage, 24,9 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] 
_) Mon niveau Intermédiaire sur se sujet ne me permet plus de savoir que faire pour ne pas tout casser...
De par cela, je pense que certaines vérifications, modifications devraient être pensées, mais je ne sait par ou commencer... :frown:

Merci a vous...

User avatar
cyrilus31
Forum Regular
Forum Regular
Posts: 546
Joined: Thu Nov 03, 2016 3:24 pm

Re: instal linux-image et linux-headers

#15 Post by cyrilus31 » Wed Jun 13, 2018 4:53 am

Je vais essayer de répondre en même temps que j'apprends :p
tradonal wrote:En fait, j'ai abandonné complètement MS pour Linux depuis déja quelques années, et j'avoue que j'ai tjs du mal a comprendre certaines chose comme par exemples les versions de noyaux ....
Pour moi je pensais que 3.16.0-6 était plus récent que 3.16.0-5.... 6 plus haut que 5... :confused:
Tu trouveras ici l'historique des noyaux linux. La numérotation propre à Debian est la suivante pour Jessie :
  • 3.16.0-4-586 (3.16.51-2)
  • 3.16.0-5-586 (3.16.51-3+deb8u1)
  • 3.16.0-6-586 (3.16.56-1+deb8u1)
Donc chronologiquement la 3.16.0-6 est la dernière version en date (noyau 3.16.56) et ton intuition est la bonne. C'est celle là que tu dois installer mais à lire la sorti de apt-get, elle a déjà été installée.

Par contre il faudrait clarifier quelle version tu dois prendre. Je ne sais plus si ton sempron est 32 ou 64 bit, s'il supporte ou pas PAE...
Last edited by cyrilus31 on Wed Jun 13, 2018 9:08 am, edited 4 times in total.

User avatar
cyrilus31
Forum Regular
Forum Regular
Posts: 546
Joined: Thu Nov 03, 2016 3:24 pm

Re: instal linux-image et linux-headers

#16 Post by cyrilus31 » Wed Jun 13, 2018 5:40 am

Doublon - A supprimer

User avatar
oops
Forum Regular
Forum Regular
Posts: 207
Joined: Tue Apr 10, 2018 5:07 pm

Re: instal linux-image et linux-headers

#17 Post by oops » Wed Jun 13, 2018 8:50 am

cyrilus31 wrote:
Wed Jun 13, 2018 4:53 am
...
Tu trouveras ici l'historique des noyaux linux. La numérotation propre à Debian est la suivante pour Jessie :
  • 3.16.0-4-586 (3.16.51-2)
  • 3.16.0-5-586 (3.16.51-3+deb8u1)
  • 3.16.0-6-586 (3.16.56-1+deb8u1)
Donc chronologiquement la 3.16.0-6 est la dernière version en date (noyau 3.16.56) et ton intuition est la bonne. C'est celle là que tu dois installer.
Par contre il faudrait clarifier quelle version tu dois prendre. Je ne sais plus si ton sempron est 32 ou 64 bit, s'il supporte ou pas PAE...
Exact, j'ai du mal a me faire à la numérotation made in Debian, ma référence est la numérotation kernel.org, sinon pour les ancien PC, le mieux peut-être, et le plus simple c'est d'utiliser un kernel Antix (via mx-tools puis packages MX Kernels) même si c'est une version 4.XX
la numérotation kernel org:
https://www.kernel.org/
$ inxi -S : System: Host:XEON Kernel: 4.16.0-xeon-01.efi x86_64 bits: 64 Desktop: Xfce 4.12.3 - Distro: MX-17.1_x64 Horizon


User avatar
cyrilus31
Forum Regular
Forum Regular
Posts: 546
Joined: Thu Nov 03, 2016 3:24 pm

Re: instal linux-image et linux-headers

#18 Post by cyrilus31 » Wed Jun 13, 2018 9:21 am

Après tout ça tu as quoi comme entrée du grub (/boot/grub/grub.cfg)?

tradonal
Forum Novice
Forum  Novice
Posts: 76
Joined: Mon Sep 25, 2017 11:43 am

Re: instal linux-image et linux-headers

#19 Post by tradonal » Thu Jun 14, 2018 8:12 am

;)
Je commencerai par répondre a vos demandes:
Par contre il faudrait clarifier quelle version tu dois prendre. Je ne sais plus si ton sempron est 32 ou 64 bit, s'il supporte ou pas PAE...
En 32 et PAE est supporté, mais avec une bar de ram de 1 GB + une de 256 MB pour la video

Code: Select all

# inxi -Cmxx
Memory:    RAM: total: 1.23 GiB used: 350.6 MiB (27.8%) 
           Array-1: capacity: 8 GiB slots: 2 EC: <OUT OF SPEC> max module size: 4 GiB note: est. 
           Device-1: JP11 size: 256 MiB speed: Unknown type: DRAM manufacturer: N/A 
           part-no: Not Specified 
           Device-2: JP30 size: 1 GiB speed: Unknown type: DRAM manufacturer: N/A 
           part-no: Not Specified 
CPU:       Topology: Single Core model: AMD Sempron 3000+ bits: 32 type: UP arch: K8 
           L2 cache: 128 KiB 
           flags: nx pae sse sse2 bogomips: 3581 
           Speed: 1800 MHz min/max: 1000/1800 MHz Core speed (MHz): 1: 1800 
sinon pour les ancien PC, le mieux peut-être, et le plus simple c'est d'utiliser un kernel Antix (via mx-tools puis packages MX Kernels)
J'ai essayer mais j'ai une erreur, en faite c'est la base du sujet... viewtopic.php?p=449448#p449448
https://framapic.org/RQPNLpNumikF/5v6MKuexQqkk.png
https://framapic.org/VpHR6N9DQylN/In6VQl7BTlu2.png
Après tout ça tu as quoi comme entrée du grub (/boot/grub/grub.cfg)?
l'entrée principale est:
linux /boot/vmlinuz-3.16.0-6-586 qui lors de l'installation de celui ci, ma remplacé les deux liens symbolique a la racine..

Code: Select all

# ls -l |grep boot
drwxr-xr-x   4 root root   4096 jun  9 18:01 boot
lrwxrwxrwx   1 root root     29 jun  8 20:10 initrd.img -> /boot/initrd.img-3.16.0-6-586
lrwxrwxrwx   1 root root     25 jun  8 20:10 vmlinuz -> boot/vmlinuz-3.16.0-6-586
Pour grub cfg, je sais pas si il faut mettre en entier, fichier assez long....
Sinon pour ce qui est des entrées possible a démarrer,le sous menu étant long, je le résumerai et au besoin le posterai en entier
-) l'entrée principale
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/10_linux ###
function gfxmode {
set gfxpayload="${1}"
}
set linux_gfx_mode=
export linux_gfx_mode
menuentry 'MX GNU/Linux' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-2630b494-8ca2-4672-bae9-fa29b58ab472' {
load_video
insmod gzio
if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
insmod part_msdos
insmod ext2
set root='hd0,msdos1'
if [ x$feature_platform_search_hint = xy ]; then
search --no-floppy --fs-uuid --set=root --hint-ieee1275='ieee1275//disk@0,msdos1' --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 2630b494-8ca2-4672-bae9-fa29b58ab472
else
search --no-floppy --fs-uuid --set=root 2630b494-8ca2-4672-bae9-fa29b58ab472
fi
echo 'Chargement de Linux 3.16.0-6-586…'
linux /boot/vmlinuz-3.16.0-6-586 root=UUID=2630b494-8ca2-4672-bae9-fa29b58ab472 ro quiet
echo 'Chargement du disque mémoire initial…'
initrd /boot/initrd.img-3.16.0-6-586
}
submenu 'Options avancées pour MX GNU/Linux' $menuentry_id_option 'gnulinux-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry
-) le sous menus, options avancées:
submenu 'Options avancées pour MX GNU/Linux' $menuentry_id_option 'gnulinux-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, avec Linux 3.16.0-6-586' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-6-586 (sysvinit)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-init-sysvinit-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-6-586 (systemd)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-6-586-init-systemd-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, avec Linux 3.16.0-4-686-pae' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-686-pae-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-4-686-pae (sysvinit)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-686-pae-init-sysvinit-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-4-686-pae (systemd)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-686-pae-init-systemd-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, avec Linux 3.16.0-4-586' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-586-advanced-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-4-586 (sysvinit)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-586-init-sysvinit-2630b494-8ca2-4672-bae9-fa29b58ab472' {
menuentry 'MX GNU/Linux, with Linux 3.16.0-4-586 (systemd)' --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.16.0-4-586-init-systemd-2630b494-8ca2-4672-bae9-fa29b58ab472' {
Fin de la partie reponses au demandes...
Merci a vous

Post Reply

Return to “Forum Français”